/*
A macroscript definition for the Nuke Operations

Add core functionality in this script.

History:
1-1-2011 -- v1.0 -- loocas -- This script created

Copyright 2011 duber s.r.o., all rights reserved.
*/

/*
LICENSED UNDER THE CREATIVE COMMONS ATTRIBUTION 3.0 UNPORTED

YOU MAY: SHARE AND REMIX THE WORK UNDER THE ATTRIBUTION CONDITIONS

FOR MORE INFO: http://creativecommons.org/licenses/by/3.0/
*/

macroScript NukeOps
category:"duber's tools" 
tooltip:"Nuke Operations" 
buttontext:"Nuke Operations" 
Icon:#("duber_nuke_inv", 2)
(
	if NukeOps != undefined then
	(
		case of
		(
			(keyboard.altPressed): if (keyboard.controlPressed) then try(NukeOps.saveToFile (getCurrentSelection()) currentTime) catch() else try(NukeOps.saveToFile (getCurrentSelection()) animationRange) catch()
			(keyboard.shiftPressed): if (keyboard.controlPressed) then try(NukeOps.copyToClipboard (getCurrentSelection()) currentTime createScene:true) catch(messageBox "ERROR: Something went wrong!" title:"NukeOps: ERROR" beep:true) else try(NukeOps.copyToClipboard (getCurrentSelection()) animationRange createScene:true) catch(messageBox "ERROR: Something went wrong!" title:"NukeOps: ERROR" beep:true)
			(keyboard.controlPressed): try(NukeOps.copyToClipboard (getCurrentSelection()) currentTime) catch(messageBox "ERROR: Something went wrong!" title:"NukeOps: ERROR" beep:true)
			default: try(NukeOps.copyToClipboard (getCurrentSelection()) animationRange) catch(messageBox "ERROR: Something went wrong!" title:"NukeOps: ERROR" beep:true)
		)
	)
	else print "ERROR: NukeOps unavailable!"
)